Subject: bug#28644: Pulseview with modular qt

From: Theodoros Foradis <[email-masked]>
Date: Fri, 29 Sep 2017 14:27:08 +0300

Hello,

commit b1e4c0fa514d94df9735685a037693e5c6efa5b2 changed the pulseview
package to build with modular qt.

Now, some icons do not appear at all in the gui. I had tried building
with modular qt before submitting the qt package, and this is why I
opted for "qt" as an input.

The two inputs from modular qt, namely qtbase and qtsvg, seem to be the
correct ones, seeing that other distibutions (e.g. Parabola/Arch) use
the same dependencies.

My guess (not being familiar with qt), is that somehow, having the two
inputs in different prefixes, causes the problem with the package's
build system. I gave a look at the cmake files, but couldn't locate the
issue/fix.

Any ideas?
-- 
Theodoros Foradis